org.apache.ignite.internal.visor.igfs

## Class VisorIgfsMetrics

- java.lang.Object
- - org.apache.ignite.internal.visor.igfs.VisorIgfsMetrics

All Implemented Interfaces:
  Serializable

    public class VisorIgfsMetrics
    extends Object
    implements Serializable

Data transfer object for `IgfsMetrics`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorIgfsMetrics()`

### Method Summary

Methods
`VisorIgfsMetrics` `add(VisorIgfsMetrics m)` Add given metrics.
`VisorIgfsMetrics` `aggregate(int n)` Aggregate metrics.
`long` `blocksRead()`
`long` `blocksReadRemote()`
`long` `blocksWritten()`
`long` `blocksWrittenRemote()`
`long` `bytesRead()`
`long` `bytesReadTime()`
`long` `bytesWriteTime()`
`long` `bytesWritten()`
`int` `filesCount()`
`int` `filesOpenedForRead()`
`int` `filesOpenedForWrite()`
`int` `foldersCount()`
`long` `freeSpaceSize()`
`static VisorIgfsMetrics` `from(IgfsMetrics m)`
`String` `toString()`
`long` `totalSpaceSize()`
`long` `usedSpaceSize()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorIgfsMetrics

    public VisorIgfsMetrics()

### Method Detail

#### from

    public static VisorIgfsMetrics from(IgfsMetrics m)

Parameters:
  `m` - IGFS metrics.
Returns:
  Data transfer object for given IGFS metrics.

#### add

    public VisorIgfsMetrics add(VisorIgfsMetrics m)

Add given metrics.

Parameters:
  `m` - Metrics to add.
Returns:
  Self for method chaining.

#### aggregate

    public VisorIgfsMetrics aggregate(int n)

Aggregate metrics.

Parameters:
  `n` - Nodes count.
Returns:
  Self for method chaining.

#### totalSpaceSize

    public long totalSpaceSize()

Returns:
  Maximum amount of data that can be stored on local node.

#### usedSpaceSize

    public long usedSpaceSize()

Returns:
  Local used space in bytes on local node.

#### freeSpaceSize

    public long freeSpaceSize()

Returns:
  Local free space in bytes on local node.

#### foldersCount

    public int foldersCount()

Returns:
  Number of directories created in file system.

#### filesCount

    public int filesCount()

Returns:
  Number of files stored in file system.

#### filesOpenedForRead

    public int filesOpenedForRead()

Returns:
  Number of files that are currently opened for reading on local node.

#### filesOpenedForWrite

    public int filesOpenedForWrite()

Returns:
  Number of files that are currently opened for writing on local node.

#### blocksRead

    public long blocksRead()

Returns:
  Total blocks read, local and remote.

#### blocksReadRemote

    public long blocksReadRemote()

Returns:
  Total remote blocks read.

#### blocksWritten

    public long blocksWritten()

Returns:
  Total blocks write, local and remote.

#### blocksWrittenRemote

    public long blocksWrittenRemote()

Returns:
  Total remote blocks write.

#### bytesRead

    public long bytesRead()

Returns:
  Total bytes read.

#### bytesReadTime

    public long bytesReadTime()

Returns:
  Total bytes read time.

#### bytesWritten

    public long bytesWritten()

Returns:
  Total bytes write.

#### bytesWriteTime

    public long bytesWriteTime()

Returns:
  Total bytes write time.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0.final
Release Date | : December 29 2015